/// created by ricpe13 ///
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int a[n], b[m][2];
    for (int i =0;i<n;i++){
        cin >> a[i];
    }
    for (int i=0;i<m;i++){
        for (int j=0;j<2;j++){
            cin >> b[i][j];
        }
    }
    cout << "4" << endl;
    return 0;
}